﻿using System.Drawing;
using System.Windows.Forms;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.comboBoxEdit.Properties.Items.Add("London"   );
            this.comboBoxEdit.Properties.Items.Add("Moscow"   );
            this.comboBoxEdit.Properties.Items.Add("Madrid"   );
            this.comboBoxEdit.Properties.Items.Add("Paris"    );
            this.comboBoxEdit.Properties.Items.Add("Amsterdam");

            this.comboBoxEdit.DrawItem += comboBoxEdit_DrawItem;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 콤보 박스 에디터 항목 그리기 - comboBoxEdit_DrawItem(sender, e)

        /// <summary>
        /// 콤보 박스 에디터 항목 그리기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void comboBoxEdit_DrawItem(object sender, ListBoxDrawItemEventArgs e)
        {
            if((e.State & DrawItemState.Selected) > 0)
            {
                using(Font font = new Font(e.Appearance.Font.FontFamily, e.Appearance.Font.Size, FontStyle.Bold))
                {
                    using(SolidBrush brush = new SolidBrush(e.Appearance.ForeColor))
                    {
                        e.Graphics.DrawString(e.Item.ToString(), font, brush, e.Bounds);
                    }
                }

                e.Handled = true;
            }
        }

        #endregion
    }
}